=== debian/changelog ===
libmarpa-r2-perl (2.086000~dfsg-8build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:12:55 +0000

libmarpa-r2-perl (2.086000~dfsg-8build4) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:02:40 +0100

libmarpa-r2-perl (2.086000~dfsg-8build3) noble; urgency=medium

  * No-change rebuild due to failed Launchpad dist-upgrade.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jan 2024 13:48:07 +0100

libmarpa-r2-perl (2.086000~dfsg-8build2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:09:24 +0100

libmarpa-r2-perl (2.086000~dfsg-8build1) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 16:37:28 +0100

libmarpa-r2-perl (2.086000~dfsg-8) unstable; urgency=medium

  * Team upload.
  * debian/rules: make usage of $Config{vendorarch}
    cross-build-compatible.
  * Update debian/watch.
    Use uscan version 4, drop second URL, use uscan macros.

 -- gregor herrmann <gregoa@debian.org>  Wed, 13 Jul 2022 17:54:14 +0200

libmarpa-r2-perl (2.086000~dfsg-7) unstable; urgency=medium

  * Team upload.

  [ intrigeri ]
  * reproducible_build.patch: fix buggy behaviour when SOURCE_DATE_EPOCH
    is not set.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.
  * debian/*: update GitHub URLs to use HTTPS.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper dependency to >= 8, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 8 to 10.

  [ gregor herrmann ]
  * debian/control: drop unused devscripts dependency.
  * Drop unneeded version constraints and alternatives from build
    dependencies.
  * Update Build-Depends for cross builds.
  * Annotate test-only build dependencies with <!nocheck>.
  * All of the above based on a patch by Helmut Grohne, thanks.
    Closes: #980529

 -- gregor herrmann <gregoa@debian.org>  Fri, 22 Jan 2021 12:20:47 +0100

libmarpa-r2-perl (2.086000~dfsg-6) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Reiner Herrmann ]
  * Honour SOURCE_DATE_EPOCH for embedded timestamp, if it is set,
    for build reproducibility. (Closes: #828639)

 -- intrigeri <intrigeri@debian.org>  Sun, 26 Jun 2016 17:38:49 +0000

libmarpa-r2-perl (2.086000~dfsg-5) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Damyan Ivanov ]
  * Mark package as autopkgtest-able
  * Declare compliance with Debian Policy 3.9.6
  * Remove 'perl' alternative from libmodule-build-perl build dependency
  * skip runtime-tests during autopkg-testing
  * copy more files into autopkgtest testbed and skip what is still failing

 -- Damyan Ivanov <dmn@debian.org>  Wed, 10 Jun 2015 20:17:36 +0000

libmarpa-r2-perl (2.086000~dfsg-4) unstable; urgency=medium

  * Add patch 1001 to work around segfault on i386 on XS auto-generated
    C code.
    Closes: bug#769265. Thanks to Michael Banck.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Nov 2014 19:11:45 +0100

libmarpa-r2-perl (2.086000~dfsg-3) unstable; urgency=medium

  * Fix versioned build-dependency on libmodule-build-perl (add trailing
    zeros).
    Thanks to Gregor Herrmann.
  * Fix use canonical Vcs-Git URL.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Jul 2014 16:09:31 +0200

libmarpa-r2-perl (2.086000~dfsg-2) unstable; urgency=medium

  * Regenerate autotools and build libmarpa with CDBS autotools.mk
    snippet, to hopefully address bug#750356, #750358.
    Build-depend on libtool, automake and autoconf, and tighten
    build-dependency on cdbs.
  * Cleanup left behind custom avoid-changing-automade-files tracking
    file.
  * Add patch 2001 to avoid internally build or link against libmarpa.
  * Git-ignore quilt .pc dir.
  * Fix resolve (not hardcode) path to perl libraries during install.
    Closes: bug#752707. Thanks to Niko Tyni.
  * Build-depend explicitly on libmodule-build-perl, needed with perl
    5.20 and newer.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Jun 2014 22:24:33 +0200

libmarpa-r2-perl (2.086000~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release.
    + Explicit core module dependencies.
    + Support use of Marpa::R2 to test external shared libraries.
    + Deprecate unvalued symbols in Libmarpa.
    + Add marpa_g_force_valued() method.
    + New libmarpa versioning.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Jun 2014 19:49:41 +0200

libmarpa-r2-perl (2.084000~dfsg-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#748484.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 May 2014 12:50:39 +0200
