## libmarpa-r2-perl 12.000000

=== meta/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2014 Jeffrey Kegler
+# Copyright 2022 Jeffrey Kegler
 # This file is part of Marpa::R2.  Marpa::R2 is free software: you can
 # redistribute it and/or modify it under the terms of the GNU Lesser
 # General Public License as published by the Free Software Foundation,
@@ -16,6 +16,7 @@
 .PHONY: dummy all html_meta
 
 dummy:
+	@echo '!!!' The main target is '"all"' '!!!'
 
 all: ../lib/Marpa/R2/Internal.pm html_meta
