=== debian/changelog ===
libmarpa-r2-perl (12.000000-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Replace cdbs by dh
    Closes: #1103829
  * Drop dh-buildinfo from Build-Depends

  [ Alexandre Detiste ]
  * New upstream version 12.000000 (Closes: #976276)
  * Refresh patches
  * Switch to DebHelper 13

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jun 2025 15:50:33 +0200

libmarpa-r2-perl (2.086000~dfsg-10) unstable; urgency=medium

  * Team upload.
  * Add Rules-Requires-Root: no.
  * Add a chmod after the upstream install step. (Closes: #1089366)
  * Don't install empty /usr/bin directory.
  * Add hardening flag.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Dec 2024 23:06:11 +0100

libmarpa-r2-perl (2.086000~dfsg-9) unstable; urgency=medium

  * Team upload.
  * debian/rules: backup another upstream file which gets changed during
    the build. (Closes: #1047004)

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Mar 2024 22:08:15 +0100
