=== debian/control ===
Source: libmarpa-r2-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libconfig-autoconf-perl,
               libcpan-meta-perl <!nocheck>,
               libextutils-cbuilder-perl,
               libhtml-parser-perl <!nocheck>,
               libmodule-build-perl,
               libppi-perl <!nocheck>,
               libtest-simple-perl <!nocheck>,
               perl-xs-dev,
               perl:native
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmarpa-r2-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmarpa-r2-perl.git
Homepage: https://metacpan.org/release/Marpa-R2
Rules-Requires-Root: no

Package: libmarpa-r2-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
         libclass-accessor-perl,
         libclass-data-inheritable-perl,
         libscalar-list-utils-perl,
         libxml-libxml-perl
Description: BNF grammar parser
 Marpa::R2 parses any language whose grammar can be written in BNF.
 That includes recursive grammars, ambiguous grammars, infinitely
 ambiguous grammars and grammars with useless or empty productions.
 Marpa does both left- and right-recursion in linear time -- in fact if
 a grammar is in any class currently in practical use, Marpa will parse
 it in linear time.
