=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

include /usr/share/dpkg/architecture.mk
perlver := $(shell perl -MConfig -e 'print $$Config{version}')
perlpath := $(shell perl -I/usr/lib/$(DEB_HOST_MULTIARCH)/perl/cross-config-$(perlver) -MConfig -e 'print $$Config{vendorarch}')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- MARPA_DEBUG_FLAG=-DMARPA_TAG=$(DEB_VERSION)

override_dh_installexamples:
	dh_installexamples
	mkdir -p debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples
	mv -t debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples \
		debian/$(DEB_SOURCE)/usr/bin/marpa_r2_html_* \
		debian/$(DEB_SOURCE)/$(perlpath)/Marpa/R2/html_* \
		debian/$(DEB_SOURCE)/usr/share/man/man3/Marpa::R2::html_*
	rmdir -v --ignore-fail-on-non-empty debian/$(DEB_SOURCE)/usr/bin
