=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=s/\~dfsg.*// \
https://metacpan.org/release/Marpa-R2  .*/Marpa-R2-v?@ANY_VERSION@@ARCHIVE_EXT@$
